<div class="container pt-3">
    <div class="row">
        <!-- BANNER DE LA CANCILLERIA -->
        <div class="col-12 p-2">
            <img class="img-banner mat-card p-0"
                src="https://www.cancilleria.gov.co/sites/default/files/banners/banner1.jpg">
        </div>
    </div>
</div>
<div class="container pt-2">
    <div class="row">
        <div class="col-12 p-2">
            <!-- INPUT PARA FILTRAR LOS ELEMENTOS -->
            <mat-form-field appearance="fill" search class="mat-card mb-2">
                <mat-label>Buscar</mat-label>
                <input matInput type="text" placeholder="Buscar comunicado de prensa" (keyup)="buscarComunicado()"
                    [(ngModel)]="buscarValor">
                <mat-icon matSuffix>search</mat-icon>
            </mat-form-field>
        </div>
        <div class="col-12 col-md-8 p-0">
            <div class="row">
                <!-- CARGO DINAMICAMENTE LOS COMUNICAODS FILTRADOS -->
                <div class="col-12 p-2" *ngFor="let comunicado of comunicadosFiltrados">
                    <mat-card>
                        <mat-card-header>
                            <mat-card-title>
                                {{comunicado.titulo}}
                            </mat-card-title>
                            <mat-card-subtitle>
                                {{comunicado.fecha}}
                            </mat-card-subtitle>
                        </mat-card-header>
                        <img mat-card-image [src]="comunicado.imagen">
                        <mat-card-content>
                            <p>
                                {{comunicado.contenido}}
                            </p>
                        </mat-card-content>
                    </mat-card>
                </div>
                <!-- SI EL ARRAY DE ELEMENTOS FILTRADOS ESTÁ VACIO MOSTRARÁ ESTE TEXTO -->
                <div class="col-12 p-2" *ngIf="comunicadosFiltrados.length == 0">
                    <mat-card transparent>
                        <mat-card-header>
                            <mat-card-title>
                                No se encontraron resultados
                            </mat-card-title>
                        </mat-card-header>
                    </mat-card>
                </div>
            </div>
        </div>
        <!-- MENU DE LA SALA DE PRENSAS EN subcomponentes/menu-sala-de-prensa -->
        <div class="col-12 col-md-4 p-0">
            <app-menu-sala-de-prensa></app-menu-sala-de-prensa>
        </div>
    </div>
</div>